Bug 17157 - Middle click on dropdown menu in header may cause software error
Summary: Middle click on dropdown menu in header may cause software error
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-22 12:45 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17157: Fix middle click on "Search" drowndown menu (1.70 KB, patch)
2016-08-22 12:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17157: Same for "More" (1.21 KB, patch)
2016-08-22 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17157: Fix middle click on "Search" drowndown menu (1.85 KB, patch)
2016-08-22 17:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17157: Same for "More" (1.36 KB, patch)
2016-08-22 17:08 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17157: Fix middle click on "Search" drowndown menu (1.92 KB, patch)
2016-08-28 19:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 17157: Same for "More" (1.43 KB, patch)
2016-08-28 19:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-22 12:45:12 UTC
This bug is related to bug 16750 and found in bug 13980 (from comment 8)

If you save an item and right click on "Search" or "More" you will get a software error:
Can't call method "fields" on an undefined value at /usr/share/koha/intranet/cgi-bin/cataloguing/additem.pl line 742
Comment 1 Jonathan Druart 2016-08-22 12:48:35 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-08-22 12:49:48 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-22 12:50:53 UTC
These patches are not ideal but could provide a workaround.
Bug 16750 fails to provide a correct fix.
Comment 4 Marc Véron 2016-08-22 17:07:30 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-08-22 17:08:18 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2016-08-28 19:02:18 UTC
Created attachment 54952 [details] [review]
[PASSED QA] Bug 17157: Fix middle click on "Search" drowndown menu

If you save an item and right click on "Search" or "More" you will get
a software error:
Can't call method "fields" on an undefined value at
/usr/share/koha/intranet/cgi-bin/cataloguing/additem.pl line 742

You will now be redirected to the adv search form.

Wors as described.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 7 Katrin Fischer 2016-08-28 19:02:58 UTC
Created attachment 54954 [details] [review]
[PASSED QA] Bug 17157: Same for "More"

Here I decided to redirect to the mainpage.

Works as dexcribed.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 8 Kyle M Hall 2016-09-02 15:05:36 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 9 Frédéric Demians 2016-09-08 19:38:31 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 10 Julian Maurice 2016-09-16 06:45:57 UTC
2nd patch pushed to 3.22.x, will be in 3.22.11